#include <bits/stdc++.h>

using namespace std;

struct AppleMan
{
    long int salary;
    double tax;
};

bool cmpAppleMan(const AppleMan &f1, const AppleMan &f2)
{
    return f1.tax < f2.tax;
}

int main()
{
    int n;
    scanf("%d", &n);
    AppleMan apple_mans[n];

    long long max_salary = 0;
    for(int i=0; i < n; i++)
    {
        scanf("%ld %lf", &apple_mans[i].salary, &apple_mans[i].tax);
        max_salary += apple_mans[i].salary;
    }
    sort(apple_mans, apple_mans+n, cmpAppleMan);

    double taxed_salary = 0;
    for(int i=0; i < n; i++)
    {
        if(i > 0)
        {
            max_salary -= apple_mans[i-1].salary;
            taxed_salary = max(taxed_salary, (max_salary * apple_mans[i].tax)/100);
        }
        else
        {
            taxed_salary = (max_salary * apple_mans[i].tax)/100;
        }
    }
    printf("%lf", taxed_salary);

    return 0;
}